
/*
 * wmain.h - main window
 * $Id: wmain.h,v 1.1.1.1 1999/04/27 00:28:28 ademko Exp $
 *
 * Copyright (C) 1999 Alex Demko <ademko@mbnet.mb.ca>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __INCLUDED_WMAIN_H_974835
#define __INCLUDED_WMAIN_H_974835

// create the main window
void wmain_new(void);
// delete the main window
void wmain_delete(void);
// queue a redraw
void wmain_redraw(void);
// queue a resize+redraw
void wmain_resize(void);
// set a new stat bar message
void wmain_set_statbar(const gchar *msg);
// load some tiles
void wmain_load_tiles(const gchar *filename);

extern gchar *stage_filename,   // stage filename (alloced with g_alloc)
            *tiles_filename;    // tiles filename (alloced with g_alloc)

#endif

